OccurrenceJobTable (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.job.occurrence

## Class OccurrenceJobTable

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.job.occurrence.OccurrenceJobTable

-     public class OccurrenceJobTable
      extends Object

  Entry point classes define `onModuleLoad()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceJobTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.extjs.gxt.ui.client.widget.ContentPanel` | `getJobTableWithoutHeading(String name, String startTime, String endTime, OccurrenceJobSpeciesProgressBar status, String elapsedTime, com.extjs.gxt.ui.client.widget.button.Button btnInfo, com.extjs.gxt.ui.client.widget.button.Button btnCancel, com.extjs.gxt.ui.client.widget.button.Button btnSave)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrenceJobTable

          public OccurrenceJobTable()

  - ### Method Detail

    - #### getJobTableWithoutHeading

          public static com.extjs.gxt.ui.client.widget.ContentPanel getJobTableWithoutHeading(String name,
                                                                              String startTime,
                                                                              String endTime,
                                                                              OccurrenceJobSpeciesProgressBar status,
                                                                              String elapsedTime,
                                                                              com.extjs.gxt.ui.client.widget.button.Button btnInfo,
                                                                              com.extjs.gxt.ui.client.widget.button.Button btnCancel,
                                                                              com.extjs.gxt.ui.client.widget.button.Button btnSave)

Copyright © 2013. All Rights Reserved.